org.apache.hadoop.yarn.server.api.records.impl.pb

## Class NodeHealthStatusPBImpl

- java.lang.Object
- - org.apache.hadoop.yarn.server.api.records.NodeHealthStatus
  - - org.apache.hadoop.yarn.server.api.records.impl.pb.NodeHealthStatusPBImpl

-     public class NodeHealthStatusPBImpl
      extends NodeHealthStatus

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NodeHealthStatusPBImpl()`
    `NodeHealthStatusPBImpl(org.apache.hadoop.yarn.proto.YarnServerCommonProtos.NodeHealthStatusProto proto)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object other)`
    `String` | `getHealthReport()` Get the diagnostic health report of the node.
    `boolean` | `getIsNodeHealthy()` Is the node healthy?
    `long` | `getLastHealthReportTime()` Get the last timestamp at which the health report was received.
    `org.apache.hadoop.yarn.proto.YarnServerCommonProtos.NodeHealthStatusProto` | `getProto()`
    `int` | `hashCode()`
    `void` | `setHealthReport(String healthReport)`
    `void` | `setIsNodeHealthy(boolean isNodeHealthy)`
    `void` | `setLastHealthReportTime(long lastHealthReport)`
    `String` | `toString()`

    - ### Methods inherited from class org.apache.hadoop.yarn.server.api.records.NodeHealthStatus

      `newInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NodeHealthStatusPBImpl

          public NodeHealthStatusPBImpl()

    - #### NodeHealthStatusPBImpl

          public NodeHealthStatusPBImpl(org.apache.hadoop.yarn.proto.YarnServerCommonProtos.NodeHealthStatusProto proto)

  - ### Method Detail

    - #### getProto

          public org.apache.hadoop.yarn.proto.YarnServerCommonProtos.NodeHealthStatusProto getProto()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object other)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getIsNodeHealthy

          public boolean getIsNodeHealthy()

      Description copied from class: `NodeHealthStatus`
      Is the node healthy?
      Specified by:
        `getIsNodeHealthy` in class `NodeHealthStatus`
      Returns:
        `true` if the node is healthy, else `false`

    - #### setIsNodeHealthy

          public void setIsNodeHealthy(boolean isNodeHealthy)

      Specified by:
        `setIsNodeHealthy` in class `NodeHealthStatus`

    - #### getHealthReport

          public String getHealthReport()

      Description copied from class: `NodeHealthStatus`
      Get the diagnostic health report of the node.
      Specified by:
        `getHealthReport` in class `NodeHealthStatus`
      Returns:
        diagnostic health report of the node

    - #### setHealthReport

          public void setHealthReport(String healthReport)

      Specified by:
        `setHealthReport` in class `NodeHealthStatus`

    - #### getLastHealthReportTime

          public long getLastHealthReportTime()

      Description copied from class: `NodeHealthStatus`
      Get the last timestamp at which the health report was received.
      Specified by:
        `getLastHealthReportTime` in class `NodeHealthStatus`
      Returns:
        last timestamp at which the health report was received

    - #### setLastHealthReportTime

          public void setLastHealthReportTime(long lastHealthReport)

      Specified by:
        `setLastHealthReportTime` in class `NodeHealthStatus`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.